/*
 * Copyright 2022 MindMotion Microelectronics Co., Ltd.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#include "board_init.h"
#include "mp3_decode.h"
#include "audio_i2s_dma.h"
#include "tusb.h"

/*
 * Macros.
 */

/*
 * Variables.
 */

/*
 * Declerations.
 */

void cli_cmd_init(void);
void cli_task(void);

/*
 * Functions.
 */
int main(void)
{
    BOARD_Init();

    printf("audio_fatfs_tuh_i2s_mp3_player_basic example.\r\n");

    /* init tinyusb host. */
    tuh_init(BOARD_TUH_RHPORT);

    /* init cli cmd. */
    cli_cmd_init();

    while(1)
    {
        /* tinyusb host task. */
        tuh_task();

        /* cli cmd task, select & play mp3 file. */
        cli_task();
    }
}


/* EOF. */
